"use client"

import React from 'react'
import Loading from './main-loading'
import {
    QueryClient,
    QueryClientProvider,
} from '@tanstack/react-query'

const SidebarWrapper = ({ children }: { children: React.ReactNode }) => {
    const queryClient = new QueryClient()
    return (
        <QueryClientProvider client={queryClient}>
            <div className='group min-h-svh w-full flex flex-col relative'>
                {children}
                <Loading />
            </div>
        </QueryClientProvider>
    )
}

export default SidebarWrapper